%define upstream_name    akefile
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Generate a Makefile.PL in your favorite style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Share) >= 0.10.0
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(IO::All) >= 0.430.0
BuildRequires: perl(Mo) >= 0.300.0
BuildRequires: perl(Template::Toolkit::Simple) >= 0.130.0
BuildArch:  noarch

%description
Save a step when dealing with Perl modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-6.mga8
+ Revision: 1507115
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-5.mga7
+ Revision: 1287482
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.80.0-4.mga7
+ Revision: 1162766
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1022218
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 968481
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 852599
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 742942
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 516340
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 375338
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 179273
- update to 0.04

* Sat Nov 05 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 163256
- Add missing BR
- imported package perl-akefile


* Sat Nov 05 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
